[Date Index][Thread Index]
[Date Prev][Date Next][Thread Prev][Thread Next]

Re: BUG REPORT: Test-Suite 100% failed on Debian 2.1

On Tuesday 1 February 2000, at 19 h 1, the keyboard of Jan Ulrich Hasecke 
<juh@pironet.de> wrote:

> I'm desparated!

No, don't. No. NO! NOT THE GUN!!!, NO!
> I tried wml-1.7.4 and wml-SNAP after upgrading my Debian 2.1 perl to
> unstable. 

As its name says, 'unstable' is for the brave.
> ../configure o.k
> make o.k

There is a Debian package of wml, which is well-maintained (and is used for 
www.debian.org). There is no need to do it yourself.

>  Failed 2/2 tests, 0.00% okay
> t/10-wml............Can't locate File/PathConvert.pm in @INC (@INC
> contains: /usr/local/lib/site_perl/i386-linux /usr/local/lib/site_perl

It seems many Perl parts are missing. Are you sure you installed 'perl' and 
not only the default 'perl-base'?

> $ perl --version
> This is perl, version 5.004_05 built for i386-linux  

'unstable' has Perl 5.005 by default, which makes me wonder if you really use 
Website META Language (WML)                www.engelschall.com/sw/wml/
Official Support Mailing List                   sw-wml@engelschall.com
Automated List Manager                       majordomo@engelschall.com